package org.springblade.device.feign;

import org.springblade.device.entity.IotDeviceHeartbeat;
import org.springblade.device.vo.IotDeviceHeartbeatVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class IotDeviceHeartbeatClientFallback implements IIotDeviceHeartbeatClient {
            /**
         * 详情
         */
        @Override
        public IotDeviceHeartbeatVO detail(IotDeviceHeartbeat iotDeviceHeartbeat) {
            return null;
        }

        /**
         * 查询 设备告警
         */
        @Override
        public List<IotDeviceHeartbeatVO> list(IotDeviceHeartbeat iotDeviceHeartbeat) {
            return null;
        }

    

        /**
         * 新增 设备告警
         */
        @Override
        public boolean save( IotDeviceHeartbeat iotDeviceHeartbeat) {
            return false;
        }

        /**
         * 修改 设备告警
         */
        @Override
        public boolean update( IotDeviceHeartbeat iotDeviceHeartbeat) {
            return false;
        }

        /**
         * 新增或修改 设备告警
         */
        @Override
        public boolean submit( IotDeviceHeartbeat iotDeviceHeartbeat) {
            return false;
        }

    
        /**
         * 删除 设备告警
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
